|  | Home | Documentation | wst__BinaryExchangeType Struct Reference updated Sun Sep 4 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__BinaryExchangeType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinaryExchangeType is a complexType with simpleContent. More...

`#include <wst.h>`

## Public Attributes
char * | __item
| __item wraps "xs:string" simpleContent. More...
char * | ValueType
| Attribute "ValueType" of XSD type xs:anyURI. More...
char * | EncodingType
| Attribute "EncodingType" of XSD type xs:anyURI. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":BinaryExchangeType is a complexType with simpleContent.

struct wst__BinaryExchangeType operations:

- soap_default_wst__BinaryExchangeType(soap*, wst__BinaryExchangeType*) reset members to default
- int soap_read_wst__BinaryExchangeType(soap*, wst__BinaryExchangeType*) deserialize from a source
- int soap_write_wst__BinaryExchangeType(soap*, wst__BinaryExchangeType*) serialize to a sink
- wst__BinaryExchangeType* soap_dup_wst__BinaryExchangeType(soap*, wst__BinaryExchangeType* dst, wst__BinaryExchangeType <em>src) returns deep copy of wst__BinaryExchangeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__BinaryExchangeType(wst__BinaryExchangeType) deep deletes wst__BinaryExchangeType data members, use only on dst after soap_dup_wst__BinaryExchangeType(NULL, wst__BinaryExchangeType *dst, wst__BinaryExchangeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__BinaryExchangeType::__item

__item wraps "xs:string" simpleContent.

char* wst__BinaryExchangeType::EncodingType

Attribute "EncodingType" of XSD type xs:anyURI.

Required attribute.

char* wst__BinaryExchangeType::ValueType

Attribute "ValueType" of XSD type xs:anyURI.

Required attribute.

The documentation for this struct was generated from the following file:

- wst.h